Name: kde-graphics-ksnapshot
Summary: KDE Screenshot Utility
Group: Graphical desktop/KDE4
Version: 15.04.3
Release: %mkrel 1
License: GPL
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/ksnapshot-%version.tar.xz
BuildRequires: kdelibs-devel
BuildRequires: libkipi-devel
Obsoletes:     kdegraphics4-ksnapshot < %version

%description
KDE Screenshot Utility

%files -n %name
%defattr(-,root,root)
%_kde_bindir/kbackgroundsnapshot
%_kde_bindir/ksnapshot
%_kde_datadir/applications/kde4/ksnapshot.desktop
%_kde_iconsdir/*/*/*/ksnapshot*
%_kde_datadir/dbus-1/interfaces/org.kde.ksnapshot.xml
%_kde_docdir/HTML/en/ksnapshot/common
%_kde_docdir/HTML/en/ksnapshot/index.*
%_kde_docdir/HTML/en/ksnapshot/*.png

%prep
%setup -q -n ksnapshot-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build

make DESTDIR=%buildroot install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/ksnapshot.desktop
  
%clean
rm -fr %buildroot

%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Sun Mar 08 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

